Page MenuHomePhabricator

efl_ui_grid : introduce new packable grid widget for Efl.Ui.Widget
ClosedPublic

Authored by SanghyeonLee on Sep 5 2018, 12:49 AM.

Details

Summary

Introduce new packable grid for Efl.Ui.Widget toolkits.
most of parts are same as Efl.Ui.List, and it also support Efl.Pack_Linear,
although it will not support Efl.Pack_Table, because item must be
arranged sequential orders.

Test Plan

We will make the tests on efl ui test suite.
please test by make check.

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 8000
Build 7432: arc lint + arc unit
SanghyeonLee created this revision.Sep 5 2018, 12:49 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

SanghyeonLee requested review of this revision.Sep 5 2018, 12:49 AM
SanghyeonLee added a comment.EditedSep 5 2018, 12:50 AM

THIS COMMIT IS ON DEVELOPING PLEASE WAIT UNTIL IT IS READY TO REVIEW

There is the project DO NOT MERGE :)

There is the project DO NOT MERGE :)

oh.. sorry how can I make it?
I'll ask other guys and update it :) thank you for notifying.

Hermet accepted this revision.Sep 18 2018, 5:15 PM
This revision is now accepted and ready to land.Sep 18 2018, 5:15 PM
Hermet requested changes to this revision.Sep 21 2018, 12:58 AM
This revision now requires changes to proceed.Sep 21 2018, 12:58 AM

update efl_ui_grid pack test in the elm_suite and add grid.edc

update test cases and themes.

  • add grid.edc with grid / view_grid / grid_item styles.
  • add content count / iterate test
  • add scroll test
  • add setup and teardown features for grid

Update grid widget and test / examples

  • update wrong grid item position calculation
  • update grid test with scrolls
  • update grid example to test vertical case with text

rebasing commit

fix conflicts and rebasing commits

I think its now ready to land.
so remove do not merge tags, and wait for review.

rebasing with layout renaming and add meson build

update meson build

h://git.enlightenment.org/core/efl

remove view_grid in the theme.

eagleeye accepted this revision.Nov 19 2018, 3:12 AM

SCROLL_MANAGER_CLASS is correctly applied.

rebasing commit

Hermet accepted this revision.Nov 19 2018, 8:59 PM
This revision is now accepted and ready to land.Nov 19 2018, 8:59 PM
This revision was automatically updated to reflect the committed changes.